# class XmlParserException

#### package haxe.xml

#### import haxe.xml.Parser

Available on Neko, macOS, Linux, Windows

### Constructor

###

`new (message:String, xml:String, position:Int)`

### Variables

###

`lineNumber:Int`

the line number at which the XML parsing error occurred

###

`message:String`

the XML parsing error message

###

`position:Int`

the character position in the XML string at which the parsing error occurred

###

`positionAtLine:Int`

the character position in the reported line at which the parsing error occurred

###

`xml:String`

the invalid XML string

### Methods

###

`toString ():String`